Package javax.security.auth.message

## Interface ServerAuth

All Known Subinterfaces:
  `ServerAuthContext`, `ServerAuthModule`

    public interface ServerAuth

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `cleanSubject​(MessageInfo messageInfo, javax.security.auth.Subject subject)`
`AuthStatus` `secureResponse​(MessageInfo messageInfo, javax.security.auth.Subject serviceSubject)`
`AuthStatus` `validateRequest​(MessageInfo messageInfo, javax.security.auth.Subject clientSubject, javax.security.auth.Subject serviceSubject)`

### Method Detail

#### validateRequest

    AuthStatus validateRequest​(MessageInfo messageInfo,
                               javax.security.auth.Subject clientSubject,
                               javax.security.auth.Subject serviceSubject)
                        throws AuthException

Throws:
  `AuthException`

#### secureResponse

    AuthStatus secureResponse​(MessageInfo messageInfo,
                              javax.security.auth.Subject serviceSubject)
                       throws AuthException

Throws:
  `AuthException`

#### cleanSubject

    void cleanSubject​(MessageInfo messageInfo,
                      javax.security.auth.Subject subject)
               throws AuthException

Throws:
  `AuthException`